import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/staff_remark_history_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/staff_remark_history_entity.g.dart';

@JsonSerializable()
class StaffRemarkHistoryEntity {
	int total = 0;
	List<StaffRemarkHistoryRows>? rows = [];

	StaffRemarkHistoryEntity();

	factory StaffRemarkHistoryEntity.fromJson(Map<String, dynamic> json) => $StaffRemarkHistoryEntityFromJson(json);

	Map<String, dynamic> toJson() => $StaffRemarkHistoryEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class StaffRemarkHistoryRows {
	String? company = null;
	@JSONField(name: "attitude_rate")
	double attitudeRate = 0;
	@JSONField(name: "grooming_rate")
	double groomingRate = 0;
	@JSONField(name: "performance_rate")
	double performanceRate = 0;
	@JSONField(name: "experience_rate")
	double experienceRate = 0;
	String? feedback = null;
	@JSONField(name: "created_at")
	String? createdAt = null;

	StaffRemarkHistoryRows();

	factory StaffRemarkHistoryRows.fromJson(Map<String, dynamic> json) => $StaffRemarkHistoryRowsFromJson(json);

	Map<String, dynamic> toJson() => $StaffRemarkHistoryRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}